import { ListEarthObservationJobsCommand, } from "../commands/ListEarthObservationJobsCommand";
import { SageMakerGeospatialClient } from "../SageMakerGeospatialClient";
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListEarthObservationJobsCommand(input), ...args);
};
export async function* paginateListEarthObservationJobs(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        if (config.client instanceof SageMakerGeospatialClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected SageMakerGeospatial | SageMakerGeospatialClient");
        }
        yield page;
        const prevToken = token;
        token = page.NextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
